Page MenuHomePhabricator

Hard deprecate Title::userCan
Closed, ResolvedPublic

Description

See parent task

Codesearch for userCan calls: https://codesearch.wmflabs.org/deployed/?q=-%3EuserCan%5C(&i=nope&files=php%24&repos=

These need to be checked for if they are called on a title method

Calls to Title::userCan:

All other callers from mediawiki deployed code refer to a different userCan (eg PermissionManager::userCan)

Event Timeline

DannyS712 updated the task description. (Show Details)Feb 11 2020, 8:52 PM

Change 571873 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/SubPageList3@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/571873

DannyS712 moved this task from Next to In progress on the User-DannyS712 board.Feb 13 2020, 7:34 AM

Change 571874 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/LiquidThreads@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/571874

Change 571875 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/GettingStarted@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/571875

Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 13 2020, 7:38 AM

Change 572029 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/572029

Change 572030 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/572030

Change 572029 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/572029

DannyS712 updated the task description. (Show Details)Feb 13 2020, 7:48 PM

Change 572073 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MassMessage@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/572073

Change 572075 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Translate@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/572075

Change 571874 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/571874

Change 572073 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/572073

Change 572075 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/572075

DannyS712 triaged this task as Medium priority.Feb 13 2020, 9:07 PM
DannyS712 updated the task description. (Show Details)

Change 572094 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] EditPage: Remove use of Title::getUserPermissionsErrors (part 1)

https://gerrit.wikimedia.org/r/572094

Woops, wrong task to link

Change 571873 merged by jenkins-bot:
[mediawiki/extensions/SubPageList3@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/571873

Change 572030 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/572030

DannyS712 updated the task description. (Show Details)Feb 16 2020, 3:13 AM

Change 571875 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Remove use of Title::userCan

https://gerrit.wikimedia.org/r/571875

DannyS712 updated the task description. (Show Details)Feb 20 2020, 5:29 PM

Change 574138 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate Title::userCan and ::quickUserCan

https://gerrit.wikimedia.org/r/574138

Change 574138 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Title::userCan and ::quickUserCan

https://gerrit.wikimedia.org/r/574138

DannyS712 closed this task as Resolved.Feb 22 2020, 2:45 AM
DannyS712 removed a project: Patch-For-Review.